¿Cómo puedo instalar iPhone Simulator 4.2 en Xcode 4.2?

Información del desarrollador:

Versión: 4.2 (4D199) Ubicación: / Desarrollador Aplicaciones: Xcode: 4.2 (828) Instrumentos: 4.2 (4233) Dashcode: 3.0.2 (336) SDK: Mac OS X: 10.6: (10K549) 10.7: (11C63) SO iPhone : 5.0: (9A334) Simulador de iPhone: 4.3: (8H7) 5.0: (9A334)

Como ve, Xcode4.2 está instalado y esto es compatible con iOS4.3, 5.0 simulador.
¿Cómo puedo probar la aplicación para iOS4.2?
¿Debo instalar Xcode 3.x?

Gracias por adelantado.

  • Eliminar el cuadro de búsqueda dentro de imessage
  • ¿Puedo mover "Páginas" de aplicaciones en iOS 5?
  • Contraseña de acceso en iOS Keychain
  • ¿Cómo borrar el caching de una aplicación específica en iOS?
  • ¿Cómo hago para que mis dispositivos iOS usen la ortografía británica / australiana / Commonwealth?
  • iPad 2 16 gb WiFi ya no puede conectarse a la networking doméstica después de la actualización de iOS 6
  • iPad / iPhone en iOS 5: las imágenes no siempre se cargan en Safari, solo en mi networking
  • Cómo ssh desde iPad con keyboard externo y Emacs?
  • 5 Solutions collect form web for “¿Cómo puedo instalar iPhone Simulator 4.2 en Xcode 4.2?”

    • Descargue xcode_3.2.6_and_ios_sdk_4.3.dmg (nota: necesita una count de desarrollador para acceder a este software. En su lugar, me he vinculado a una discusión abierta de Apple que contiene el enlace de descarga directa
    • Monte el file .dmg
    • Dentro de la image del disco hay una carpeta invisible de "Paquetes". Para abrirlo, select el command "Ir a la carpeta …" de la barra de menu del Buscador y digite la ruta "/ Volumes / Xcode y iOS SDK / Packages /"
    • Ahora haga doble clic en "iPhoneSimulatorSDK4_2.pkg"
    • Haga clic en el disco de destino y se mostrará un button "Seleccionar carpeta …"
    • Haga clic en el button de arriba y select su carpeta "Desarrollador"
    • Instale el package y reinicie Xcode.

    Esto instalará el simulador 4.2 SDK (tanto iPad como iPhone) dentro de la carpeta "/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/"

    Ahora dentro de XCode 4.2 puedes seleccionar este simulador desde el menu.

    Adiós.

    La respuesta dada anteriormente no me funcionó del todo; Nunca obtuve un button de carpeta de selección, y el simulador 4.2 terminó en /Platforms/iPhoneSimulator.platform/Developer/SDKs , que no es donde viven los simuladores 4.2 y 5.0; y aunque reinicié Xcode, no apareció el simulador 4.2.

    Lo moví manualmente al lado de los otros (en /Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs ), usando sudo mv en Terminal. Luego reinicié Xcode de nuevo, pero todavía no había un simulador 4.2. Por el momento, estoy perplejo.

    Si tiene un dispositivo iPhone OS 3.x y piensa probar en el dispositivo, entonces no necesita instalar Xcode 3 o Xcode 4.0 o Xcode 4.1 ya que Xcode 4.2 tiene una opción (busque bajo Xcode 4.2 Preferences -> Descargas pestaña -> pestaña Componentes) instale que solo necesita download.

    Si no tiene un dispositivo iPhone 0S 3.x y quiere usar el simulador, puede instalar un Xcode anterior (que tiene el simulador que desea) en una ruta diferente a la de Xcode 4.2. No instale ambos usando la ruta pnetworkingeterminada o en la misma ruta, ya que puede hacer que su entorno de desarrollo sea inestable y "sudo / Library / uninstall-devtools" no será de ayuda.

    [Nota para el moderador] Esta pregunta debe migrarse a stackoverflow.com.

    es muy sencillo

    tienes Xcode 4.2.1

    abra xcode> preferences> Descargas> (pestaña)

    y deberías tener una list de los simuladores para download e instalar

    Disfrutar

    http://www.touch-code-magazine.com/installing-4-3-iphone-simulator-in-xcode-4-2/

    Parece trivial. Simplemente repita los pasos para 4.2

    Loving Apple Products like poisoning (iPhone, iPad, iMac, Macbook, iWatch).